import { OnDestroy, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import VectorLayer from 'ol/layer/Vector';
import Map from 'ol/Map';
import { Observable, Subscription } from 'rxjs';
import * as fromMangol from '../../store/mangol.reducers';
import { MeasureDictionary, MeasureMode } from '../../store/measure/measure.reducers';
import { MangolConfigMeasureItem } from './../../interfaces/config-toolbar.interface';
import { MeasureService } from './measure.service';
export declare class MeasureComponent implements OnInit, OnDestroy {
    private store;
    private measureService;
    dictionary$: Observable<MeasureDictionary>;
    measureConfig$: Observable<MangolConfigMeasureItem>;
    map$: Observable<Map>;
    measureLayer$: Observable<VectorLayer>;
    measureMode$: Observable<MeasureMode>;
    measureConfigSubscription: Subscription;
    constructor(store: Store<fromMangol.MangolState>, measureService: MeasureService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private _cleanUp;
}
