import { Action } from '@ngrx/store';
import { MangolControllersFullScreenDictionary, MangolControllersPositionDictionary, MangolControllersRotationDictionary, MangolControllersScalebarOptions, MangolControllersZoomDictionary } from '../../interfaces/config-map-controllers.interface';
export declare const RESET = "[Controllers] Reset";
export declare const SET_SHOW_ZOOM = "[Controllers] Set Show Zoom";
export declare const SET_ZOOM_DICTIONARY = "[Controllers] Set Zoom Dictionary";
export declare const SET_SHOW_TOOLTIP = "[Controllers] Set Zoom Show Tooltip";
export declare const SET_SCALEBAR = "[Controllers] Set Scalebar";
export declare const SET_SHOW_POSITION = "[Controllers] Set Show Position";
export declare const SET_POSITION_PRECISION = "[Controllers] Set Position Precision";
export declare const SET_POSITION_COORDINATES = "[Controllers] Set Position Coordinates";
export declare const SET_POSITION_DICTIONARY = "[Controllers] Set Position Dictionary";
export declare const SET_SHOW_ROTATION = "[Controllers] Set Show Rotation";
export declare const SET_ROTATION_DICTIONARY = "[Controllers] Set Rotation Dictionary";
export declare const SET_SHOW_ROTATION_TOOLTIP = "[Controllers] Set Show Rotation Tooltip";
export declare const SET_ROTATION_VALUE = "[Controllers] Set Rotation Value";
export declare const SET_SHOW_FULLSCREEN = "[Controllers] Set Show FullScreen";
export declare const SET_SHOW_FULLSCREEN_TOOLTIP = "[Controllers] Set Show FullScreen Tooltip";
export declare const SET_FULLSCREEN_DICTIONARY = "[Controllers] Set FullScreen Dictionary";
export declare class Reset implements Action {
    readonly type = "[Controllers] Reset";
    constructor();
}
export declare class SetShowZoom implements Action {
    payload: boolean;
    readonly type = "[Controllers] Set Show Zoom";
    constructor(payload: boolean);
}
export declare class SetZoomDictionary implements Action {
    payload: MangolControllersZoomDictionary;
    readonly type = "[Controllers] Set Zoom Dictionary";
    constructor(payload: MangolControllersZoomDictionary);
}
export declare class SetShowTooltip implements Action {
    payload: boolean;
    readonly type = "[Controllers] Set Zoom Show Tooltip";
    constructor(payload: boolean);
}
export declare class SetScalebar implements Action {
    payload: MangolControllersScalebarOptions;
    readonly type = "[Controllers] Set Scalebar";
    constructor(payload: MangolControllersScalebarOptions);
}
export declare class SetShowPosition implements Action {
    payload: boolean;
    readonly type = "[Controllers] Set Show Position";
    constructor(payload: boolean);
}
export declare class SetPositionPrecision implements Action {
    payload: number;
    readonly type = "[Controllers] Set Position Precision";
    constructor(payload: number);
}
export declare class SetPositionCoordinates implements Action {
    payload: [number, number];
    readonly type = "[Controllers] Set Position Coordinates";
    constructor(payload: [number, number]);
}
export declare class SetPositionDictionary implements Action {
    payload: MangolControllersPositionDictionary;
    readonly type = "[Controllers] Set Position Dictionary";
    constructor(payload: MangolControllersPositionDictionary);
}
export declare class SetShowRotation implements Action {
    payload: boolean;
    readonly type = "[Controllers] Set Show Rotation";
    constructor(payload: boolean);
}
export declare class SetRotationDictionary implements Action {
    payload: MangolControllersRotationDictionary;
    readonly type = "[Controllers] Set Rotation Dictionary";
    constructor(payload: MangolControllersRotationDictionary);
}
export declare class SetShowRotationTooltip implements Action {
    payload: boolean;
    readonly type = "[Controllers] Set Show Rotation Tooltip";
    constructor(payload: boolean);
}
export declare class SetRotationValue implements Action {
    payload: number;
    readonly type = "[Controllers] Set Rotation Value";
    constructor(payload: number);
}
export declare class SetShowFullscreen implements Action {
    payload: boolean;
    readonly type = "[Controllers] Set Show FullScreen";
    constructor(payload: boolean);
}
export declare class SetShowFullscreenTooltip implements Action {
    payload: boolean;
    readonly type = "[Controllers] Set Show FullScreen Tooltip";
    constructor(payload: boolean);
}
export declare class SetFullscreenDictionary implements Action {
    payload: MangolControllersFullScreenDictionary;
    readonly type = "[Controllers] Set FullScreen Dictionary";
    constructor(payload: MangolControllersFullScreenDictionary);
}
export declare type ControllersActions = Reset | SetShowZoom | SetZoomDictionary | SetShowTooltip | SetScalebar | SetShowPosition | SetPositionPrecision | SetPositionCoordinates | SetPositionDictionary | SetShowRotation | SetRotationDictionary | SetShowRotationTooltip | SetRotationValue | SetShowFullscreen | SetShowFullscreenTooltip | SetFullscreenDictionary;
