import { Action } from '@ngrx/store';
import VectorLayer from 'ol/layer/Vector';
import { CursorMode } from './../../interfaces/cursor-mode';
export declare const SET_MODE = "[Cursor] Set Mode";
export declare const RESET_MODE = "[Cursor] Reset Mode";
export declare const SET_VISIBLE = "[Cursor] Set Visible";
export declare const SET_LAYER = "[Cursor] Set Layer";
export declare class SetMode implements Action {
    payload: CursorMode;
    readonly type = "[Cursor] Set Mode";
    constructor(payload: CursorMode);
}
export declare class ResetMode implements Action {
    readonly type = "[Cursor] Reset Mode";
    constructor();
}
export declare class SetVisible implements Action {
    payload: boolean;
    readonly type = "[Cursor] Set Visible";
    constructor(payload: boolean);
}
export declare class SetLayer implements Action {
    payload: VectorLayer;
    readonly type = "[Cursor] Set Layer";
    constructor(payload: VectorLayer);
}
export declare type CursorActions = SetMode | ResetMode | SetVisible | SetLayer;
